package cn.com.countrygarden.bi.main.service.routine;


import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.routine.RoutineManager;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface IRoutineManagerService {

    Result selectList(RoutineManager routineManager, int size, int page);

    Result queryById(Integer id);

    Result addOrUpdate(RoutineManager routineManager, AccessToken accessToken);

    Result del(Integer id);

    Result queryOrganTree();

    List<RoutineManager> selectExcelData(RoutineManager routineManager);

    Map<String, Object> importExcel(MultipartFile excelFile, RoutineManager routineManager, AccessToken token);
}
